fos_ck_editor:
    js_path:   "js/ckeditor.js"
    configs:
        main_config:
            toolbar: classic
            enterMode: CKEDITOR.ENTER_P
            language: fr
            allowedContent: true
            skin: 'n1theme,/js/ckeditor/themes/n1theme/'
            height: 400
            extraPlugins: preview2,nbsp,liststyle2,autogrow
            contentsCss: '%env(resolve:CONTENT_CSS)%'
            format_tags: 'h2;h3;h4;p'
            removePlugins: liststyle
            colorButton_colors: "15080F,280E1C,4F1C38,A9045D,E0C3D3,F7E7EF,FAF7F9,FFFFFF,48BDCB,bb3333,ddcb24,048ec9,157525"
            colorButton_enableAutomatic: false
        main_config_fixed:
            toolbar: classic
            enterMode: CKEDITOR.ENTER_P
            language: fr
            allowedContent: true
            skin: 'n1theme,/js/ckeditor/themes/n1theme/'
            height: 400
            extraPlugins: preview2,nbsp,liststyle2,autogrow,fixed
            contentsCss: '%env(resolve:CONTENT_CSS)%'
            format_tags: 'h2;h3;h4;p'
            removePlugins: liststyle
            colorButton_colors: "15080F,280E1C,4F1C38,A9045D,E0C3D3,F7E7EF,48BDCB,FeFeFe,FeFeFe,FeFeFe,FeFeFe,FeFeFe,bb3333,ddcb24,048ec9,157525"
            colorButton_enableAutomatic: false
        all:
            toolbar: full
            enterMode: CKEDITOR.ENTER_P
            language: fr
            allowedContent: true
            skin: 'n1theme,/js/ckeditor/themes/n1theme/'
            height: 400
            extraPlugins: preview2,autogrow,nbsp,liststyle2
            contentsCss: '%env(resolve:CONTENT_CSS)%'
            removePlugins: liststyle
            colorButton_colors: "15080F,280E1C,4F1C38,A9045D,E0C3D3,F7E7EF,48BDCB,FFFFFF,FFFFFF,FFFFFF,FFFFFF,bb3333,ddcb24,048ec9,157525"
            colorButton_enableAutomatic: false
        min:
            toolbar: min
            enterMode: CKEDITOR.ENTER_P
            language: fr
            allowedContent: true
            skin: 'n1theme,/js/ckeditor/themes/n1theme/'
            height: 200
            extraPlugins: autogrow,nbsp
            contentsCss: '%env(resolve:CONTENT_CSS)%'
            removePlugins: liststyle
            colorButton_colors: "15080F,280E1C,4F1C38,A9045D,E0C3D3,F7E7EF,FAF7F9,FFFFFF,48BDCB,bb3333,ddcb24,048ec9,157525"
            colorButton_enableAutomatic: false
        text:
            toolbar: text
            enterMode: CKEDITOR.ENTER_P
            language: fr
            allowedContent: true
            skin: 'n1theme,/js/ckeditor/themes/n1theme/'
            height: 200
            extraPlugins: preview2,autogrow,nbsp,liststyle2
            contentsCss: '%env(resolve:CONTENT_CSS)%'
            removePlugins: liststyle
            colorButton_colors: "15080F,280E1C,4F1C38,A9045D,E0C3D3,F7E7EF,FAF7F9,FFFFFF,48BDCB,bb3333,ddcb24,048ec9,157525"
            colorButton_enableAutomatic: false
        stricttext:
            toolbar: stricttext
            enterMode: CKEDITOR.ENTER_P
            language: fr
            allowedContent: true
            skin: 'n1theme,/js/ckeditor/themes/n1theme/'
            height: 200
            extraPlugins: preview2,autogrow,nbsp,liststyle2
            contentsCss: '%env(resolve:CONTENT_CSS)%'
            removePlugins: liststyle
            colorButton_colors: "15080F,280E1C,4F1C38,A9045D,E0C3D3,F7E7EF,FAF7F9,FFFFFF,48BDCB,bb3333,ddcb24,048ec9,157525"
            colorButton_enableAutomatic: false
    plugins:
        preview2:
            path: "/js/ckeditor/plugins/preview/"
            filename: "plugin.js"
        autogrow:
            path: "/js/ckeditor/plugins/autogrow/"
            filename: "plugin.js"
        nbsp:
            path: "/js/ckeditor/plugins/nbsp/"
            filename: "plugin.js"
        liststyle2:
            path: "/js/ckeditor/plugins/liststyle2/"
            filename: "plugin.js"
        fixed:
            path: "/js/ckeditor/plugins/fixed/"
            filename: "plugin.js"
    toolbars:
        configs:
            classic: [ ['Bold', 'Italic', 'Underline', 'Strike', 'Blockquote', '-', 'Link', 'Nbsp', '-', 'RemoveFormat', '-', 'NumberedList', 'BulletedList', '-', 'Outdent', 'Indent', '-', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock', '-', 'Image', 'Table', '-', 'Format', 'FontSize', '-', 'TextColor', 'Maximize', , 'Source'] ]
            min: [ ['Bold', 'Italic', 'Underline', '-', 'Link', 'Nbsp', '-', 'RemoveFormat', '-', 'NumberedList', 'BulletedList', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock', '-', 'Image', '-', 'Format', 'FontSize', '-', 'TextColor', 'Maximize'] ]
            text: [ ['Bold', 'Italic', 'Underline', '-', 'Link', 'Nbsp', '-', 'RemoveFormat', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock', '-', 'Format', 'FontSize', '-', 'TextColor', 'Maximize'] ]
            stricttext: [ ['Bold'] ]
